Subject: Re: iproute2/m_ipt fix, opts was not set properly

From: jamal <[email-masked]>
Date: Wed, 06 Aug 2008 06:42:30 -0400

On Wed, 2008-06-08 at 13:06 +0300, Denys Fedoryshchenko wrote:

> Make attention - before static void free_opts(struct option *opts) was 
> shadowing global variable with same name *opts, after this patch - it will 
> not shadow anymore.

Sorry Denys, unless my memory has lost the C scoping rules, i dont think
the shadowing you describe above is accurate. Let me take a closer look.

[BTW, this code was all copied from iptables - so if this bug exists
here, it likely still exists in iptables. The xtables changes will make
this code a lot more maintainable].

cheers,
jamal